liblxc1_3.1.0+really3.0.3-8_amd64.deb


Advertisement

Description

liblxc1 - Linux Containers userspace tools (library)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename liblxc1_3.1.0+really3.0.3-8_amd64.deb
Package name liblxc1
Package version 3.1.0+really3.0.3
Package release 8
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://linuxcontainers.org/
License -
Maintainer pkg-lxc <pkg-lxc-devel@lists.alioth.debian.org>
Download size 291.07 KB
Installed size 880.00 KB
Containers are insulated areas inside a system, which have their own namespace
for filesystem, network, PID, IPC, CPU and memory allocation and which can be
created using the Control Group and Namespace features included in the Linux
kernel.
This package contains the shared library.

Alternatives

Package Version Architecture Repository
liblxc1_3.1.0+really3.0.3-8_i386.deb 3.1.0+really3.0.3 i386 Debian Main
liblxc1 - - -

Requires

Name Value
cgroupfs-mount -
libc6 >= 2.27
libcap2 >= 1:2.10
libgnutls30 >= 3.6.5
libseccomp2 >= 2.1.0
libselinux1 >= 1.32
systemd -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblxc1_3.1.0+really3.0.3-8_amd64.deb
Source Package lxc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblxc1 deb package:
    # sudo apt-get install liblxc1

Files

Path
/usr/lib/x86_64-linux-gnu/liblxc.so.1
/usr/lib/x86_64-linux-gnu/liblxc.so.1.4.0
/usr/share/doc/liblxc1/NEWS.Debian.gz
/usr/share/doc/liblxc1/changelog.Debian.gz
/usr/share/doc/liblxc1/copyright

Changelog

2019-04-14 - Pierre-Elliott Bécue <peb@debian.org>
lxc (1:3.1.0+really3.0.3-8) unstable; urgency=medium
* d/control:
- bin:lxc sets AppArmor as a Recommend instead of a Dependency
* d/README.Debian:
- Update the documentation to explain how to manage containers not
starting if AppArmor is missing.
2019-04-09 - Pierre-Elliott Bécue <peb@debian.org>
lxc (1:3.1.0+really3.0.3-7) unstable; urgency=medium
* d/ccontrol:
- Add a dependency to AppArmor for lxc package as the default.conf file
includes an AppArmor profile.
* d/{NEWS,README.Debian}:
- Add appropriate documentation for unprivileged containers
(Closes: #925899)
2019-03-09 - Pierre-Elliott Bécue <peb@debian.org>
lxc (1:3.1.0+really3.0.3-6) unstable; urgency=medium
* d/patches/0005: Tweaks the 0004 patch for CVE-2019-5736 (Closes: #923932)
* d/NEWS: summary of the important changes since LXC2.
2019-03-02 - Antonio Terceiro <terceiro@debian.org>
lxc (1:3.1.0+really3.0.3-5) unstable; urgency=medium
[ Christian Kastner ]
* /etc/default/lxc.conf Change back to lxc.net.0.type
(Closes: #923395)
[ Frans Spiesschaert ]
* debian/po/nl.po: Add Dutch translation of debconf messages
(Closes: #923328)
2019-02-16 - Pierre-Elliott Bécue <peb@debian.org>
lxc (1:3.1.0+really3.0.3-4) unstable; urgency=medium
[ Lev Lamberov ]
* d/po/ru.po: Add russian translation for debconf templates (Closes: #920916)
[ Américo Monteiro ]
* d/po/pt.po: Add portuguese translation for debconf templates (Closes:
#919221)
[ Adriano Rafael Gomes ]
* d/po/pr_BR.po: Add brazilian portuguese translation for debconf templates
(Closes: #920543)
[ Pierre-Elliott Bécue ]
* d/patches/0004: Import the fix for CVE-2019-5736. (Closes: #922169)
2019-02-11 - Pierre-Elliott Bécue <peb@debian.org>
lxc (1:3.1.0+really3.0.3-3) unstable; urgency=medium
* d/lxc.postinst:
- Add a fallback method to handle the cases where apparmor_parser may
fail while present. (nested virt or whatever else) (Closes: #921667)
* d/patches:
- Backports 3 patches from lxc 3.1 to have Apparmor confinement working
properly with systemd 240. (Closes: #916639)
* d/tests/exercise:
- Update the configuration to match lxc 3 standards
* d/contrib/default.conf:
- Provide a minimalist default.conf including appropriate apparmor
parameters.
2019-01-11 - Pierre-Elliott Bécue <peb@debian.org>
lxc (1:3.1.0+really3.0.3-2) unstable; urgency=medium
[ Chris Leick ]
* d/po/de.po:
- Added German Debconf translation (Closes: #916263)
[ Pierre-Elliott Bécue ]
* d/lxc.postinst:
- Add a call to apparmor_parser if present to ensure lxc containers work
with apparmor after an upgrade. (Closes: #918842)
- Add a check to make sure we're on a proper upgrade or a proper install
to decide whether or not some code blocks are executed.
* d/lxc.config:
- Asks for the upgrade of configuration only when lxc is actually upgraded
and not installed.
2019-01-10 - Pierre-Elliott Bécue <peb@debian.org>
lxc (1:3.1.0+really3.0.3-1) unstable; urgency=medium
* Rollback to version 3.0.3 as this is a LTS release.
* Revert symbols file.
* d/control:
- Bump Standards-Version to 4.3.0
2018-12-22 - Pierre-Elliott Bécue <peb@debian.org>
lxc (1:3.1.0-1) unstable; urgency=medium
[ Pierre-Elliott Bécue ]
* New upstream release 3.1.0
[ Shengjing Zhu ]
* d/liblxc1.symbols: Fix liblxc1 symbol version, missing the Debian epoch.
Closes: #916362
2018-12-04 - Pierre-Elliott Bécue <peb@debian.org>
lxc (1:3.0.3-1) unstable; urgency=medium
* New upstream version: 3.0.3
* d/liblxc1.symbols: Updated symbols table
* d/lxc.postinst: no absolute path for lxc-update-config (it's in the PATH)
* d/copyright: remove statement for src/includes/ifaddrs.{c, h} as they're
not shipped anymore
* Release to unstable.

See Also

Package Description
liblxi-dev_1.13-1_amd64.deb LAN eXtensions for Instrumentation (LXI) software interface
liblxi1_1.13-1_amd64.deb LAN eXtensions for Instrumentation (LXI) software interface
liblxqt-globalkeys-ui0-dev_0.14.1-1_amd64.deb daemon used to register global keyboard shortcuts (ui dev files)
liblxqt-globalkeys-ui0_0.14.1-1_amd64.deb daemon used to register global keyboard shortcuts (ui files)
liblxqt-globalkeys0-dev_0.14.1-1_amd64.deb daemon used to register global keyboard shortcuts (dev files)
liblxqt-globalkeys0_0.14.1-1_amd64.deb daemon used to register global keyboard shortcuts (shared libs)
liblxqt-l10n_0.14.1-1_all.deb Language package for liblxqt
liblxqt0-dev_0.14.1-1_amd64.deb Shared libraries for LXQt desktop environment (dev)
liblxqt0_0.14.1-1_amd64.deb Shared libraries for LXQt desktop environment (libs)
liblz-dev_1.11-3_amd64.deb data compressor based on the LZMA algorithm (development)
liblz1_1.11-3_amd64.deb data compressor based on the LZMA algorithm (library)
liblz4-1_1.8.3-1_amd64.deb Fast LZ compression algorithm library - runtime
liblz4-dev_1.8.3-1_amd64.deb Fast LZ compression algorithm library - development files
liblz4-tool_1.8.3-1_all.deb Fast LZ compression algorithm library - transitional package
liblzma-dev_5.2.4-1_amd64.deb XZ-format compression library - development files
Advertisement
Advertisement